getmempoolinfo
Returns the state of the node's memory pool. This method uses 80 credits from your daily balance.
Parameters
None
Returns
result: (object) - Mempool state.
loaded: (boolean) -truewhen the mempool is fully loaded.size: (integer) - Number of transactions in the mempool.bytes: (integer) - Sum of the virtual sizes of all transactions, in vbytes.usage: (integer) - Total memory usage of the mempool, in bytes.total_fee: (number) - Total fees of all transactions in the mempool, in BTC.maxmempool: (integer) - Maximum memory usage of the mempool, in bytes.mempoolminfee: (number) - Minimum fee rate for a transaction to be accepted, in BTC/kvB. This is the higher ofminrelaytxfeeand the current eviction threshold.minrelaytxfee: (number) - Minimum relay fee rate, in BTC/kvB.incrementalrelayfee: (number) - Minimum fee rate increase for replacement transactions, in BTC/kvB.unbroadcastcount: (integer) - Number of transactions that haven't been seen by any peer yet.fullrbf: (boolean) -truewhen the node accepts replacements of transactions that don't signal replaceability.
Request
- curl
curl https://bitcoin-mainnet.infura.io/v3/<YOUR-API-KEY> \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc": "2.0", "id": 1, "method": "getmempoolinfo", "params": []}'
Response
- JSON
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"loaded": true,
"size": 24817,
"bytes": 11942305,
"usage": 68210448,
"total_fee": 0.19864231,
"maxmempool": 300000000,
"mempoolminfee": 0.00001000,
"minrelaytxfee": 0.00001000,
"incrementalrelayfee": 0.00001000,
"unbroadcastcount": 0,
"fullrbf": true
}
}